package org.supermind.url;

public interface URLConstants {
  public static enum Part {
    PROTOCOL, HOST, PORT, USER, PASSWORD, PATH, QUERY, REF;

    static Part[] getOrder() {
      return new Part[]{PROTOCOL, USER, PASSWORD, HOST, PORT, PATH, REF, QUERY};
    }
  }
}
